Function
consensusAligment
Compute consensus alignment.
consensusAlignment(alignmentGraph, beginEndPos, [options])
Include Headers
seqan/consensus.h
Parameters

alignmentGraph | Types: Alignment Graph
beginEndPos | Interval start and end position for the read's alignment. Types: StringSet<Pair<TPos, TPos> >
options | Optional settings for the consenus alignment Types: ConsensusOptions

Examples
#include <seqan/sequence.h>
#include <seqan/graph_align.h>
#include <seqan/consensus.h>
int main()
{
using namespace seqan;
typedef StringSet<Dna5String> TStringSet;
typedef Graph<Alignment<TStringSet, void, WithoutEdgeId> > TAlignGraph;
TStringSet readSet;
String<Pair<TSize> > begEndPos;
appendValue(readSet, "CCCAGTGA");
appendValue(begEndPos, Pair<TSize>(0, 5));
appendValue(readSet, "AGGGACTGT");
appendValue(begEndPos, Pair<TSize>(3, 9));
TAlignGraph alignmentGraph(readSet);
consensusAlignment(alignmentGraph, begEndPos);
return 0;
}
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58